using System;

internal sealed class Delegate355 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate355 delegate355_1)
	{
		return delegate355_1(object_0);
	}

	public extern Delegate355(object object_0, IntPtr intptr_0);

	static Delegate355()
	{
		Class10.smethod_13(typeof(Delegate355).TypeHandle);
	}

	internal static Delegate355 delegate355_0;
}
